IOSS 2.0

Public Member Functions | Public Attributes | Private Member Functions | List of all members
Ioex::CommunicationMetaData Struct Reference

`#include <Ioex_Internals.h>`

## Public Member Functions
| CommunicationMetaData ()

## Public Attributes
std::vector< CommunicationMap > | nodeMap
std::vector< CommunicationMap > | elementMap
int | processorId
int | processorCount
int64_t | globalNodes
int64_t | globalElements
int64_t | globalElementBlocks
int64_t | globalNodeSets
int64_t | globalSideSets
int64_t | nodesInternal
int64_t | nodesBorder
int64_t | nodesExternal
int64_t | elementsInternal
int64_t | elementsBorder
bool | outputNemesis

## Private Member Functions
| CommunicationMetaData (const CommunicationMetaData &)

## Constructor & Destructor Documentation

## ◆ CommunicationMetaData() [1/2]

Ioex::CommunicationMetaData::CommunicationMetaData | ( |  | ) |
| inline

## ◆ CommunicationMetaData() [2/2]

Ioex::CommunicationMetaData::CommunicationMetaData | ( | const CommunicationMetaData & |  | ) |
| private

## Member Data Documentation

## ◆ elementMap

std::vector<CommunicationMap> Ioex::CommunicationMetaData::elementMap

## ◆ elementsBorder

int64_t Ioex::CommunicationMetaData::elementsBorder

## ◆ elementsInternal

int64_t Ioex::CommunicationMetaData::elementsInternal

## ◆ globalElementBlocks

int64_t Ioex::CommunicationMetaData::globalElementBlocks

## ◆ globalElements

int64_t Ioex::CommunicationMetaData::globalElements

## ◆ globalNodes

int64_t Ioex::CommunicationMetaData::globalNodes

## ◆ globalNodeSets

int64_t Ioex::CommunicationMetaData::globalNodeSets

## ◆ globalSideSets

int64_t Ioex::CommunicationMetaData::globalSideSets

## ◆ nodeMap

std::vector<CommunicationMap> Ioex::CommunicationMetaData::nodeMap

## ◆ nodesBorder

int64_t Ioex::CommunicationMetaData::nodesBorder

## ◆ nodesExternal

int64_t Ioex::CommunicationMetaData::nodesExternal

## ◆ nodesInternal

int64_t Ioex::CommunicationMetaData::nodesInternal

## ◆ outputNemesis

bool Ioex::CommunicationMetaData::outputNemesis

## ◆ processorCount

int Ioex::CommunicationMetaData::processorCount

## ◆ processorId

int Ioex::CommunicationMetaData::processorId

The documentation for this struct was generated from the following file:

- src/exodus/Ioex_Internals.h